//
//  ViewController.swift
//  iOS9SwiftCustomNavBar
//
//  Created by Ivan Akulov on 26/01/16.
//  Copyright © 2016 Ivan Akulov. All rights reserved.
//

import UIKit

class ViewController: UIViewController {
    
    override func viewDidLoad() {
        super.viewDidLoad()
        // Do any additional setup after loading the view, typically from a nib.
    }
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    
    override func viewDidAppear(animated: Bool) {
        //1
        let navigationBar = self.navigationController?.navigationBar
        
        //2
        navigationBar?.barStyle = UIBarStyle.Black
        
        //3
        navigationBar?.tintColor = UIColor.greenColor()
        
        //4
        let imageView = UIImageView(frame: CGRect(x: 0, y: 0, width: 40, height: 40))
        imageView.contentMode = .ScaleAspectFit
        
        // 5
        let image = UIImage(named: "icon")
        imageView.image = image
        
        // 6
        navigationItem.titleView = imageView
    }
    
    
}

